<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="#4F59DE">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_company"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginTop="100dp"
                tools:listitem="@layout/listitem_qyzc_company"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg1"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_qyzc_bg1"
                android:layout_marginTop="@dimen/dp_10"
                app:layout_constraintDimensionRatio="h,1119:1119"
                app:layout_constraintTop_toBottomOf="@id/rv_company" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg2"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_qyzc_bg2"
                android:layout_marginTop="@dimen/dp_10"
                app:layout_constraintDimensionRatio="h,1119:650"
                app:layout_constraintTop_toBottomOf="@id/iv_bg1" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg3"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_qyzc_bg3"
                android:layout_marginTop="@dimen/dp_10"
                app:layout_constraintDimensionRatio="h,1119:1629"
                app:layout_constraintTop_toBottomOf="@id/iv_bg2" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg4"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_qyzc_bg4"
                android:layout_marginTop="@dimen/dp_10"
                app:layout_constraintDimensionRatio="h,1119:996"
                app:layout_constraintTop_toBottomOf="@id/iv_bg3" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg5"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_qyzc_bg5"
                android:layout_marginTop="@dimen/dp_10"
                app:layout_constraintDimensionRatio="h,1119:978"
                app:layout_constraintTop_toBottomOf="@id/iv_bg4" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/ic_qyzc_bg6"
                android:paddingStart="@dimen/dp_38"
                android:layout_marginTop="@dimen/dp_10"
                android:paddingEnd="@dimen/dp_38"
                app:layout_constraintTop_toBottomOf="@id/iv_bg5">

                <TextView
                    android:id="@+id/tv_area_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="您的地区"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/tv_area"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/tv_area" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="*"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintStart_toEndOf="@id/tv_area_title"
                    app:layout_constraintTop_toTopOf="@id/tv_area_title" />

                <TextView
                    android:id="@+id/tv_area"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_54"
                    android:layout_marginStart="@dimen/dp_40"
                    android:layout_marginTop="@dimen/dp_100"
                    android:background="@null"
                    android:drawableEnd="@mipmap/ic_arrow_dp16"
                    android:gravity="center_vertical"
                    android:hint="请选择注册区域"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_bcbcbc"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_area_title"
                    app:layout_constraintTop_toTopOf="parent" />

                <View
                    android:id="@+id/view_line1"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="@color/color_ebebeb"
                    app:layout_constraintTop_toBottomOf="@id/tv_area" />

                <TextView
                    android:id="@+id/tv_name_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="您的姓名"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/et_name"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/et_name" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="*"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintStart_toEndOf="@id/tv_name_title"
                    app:layout_constraintTop_toTopOf="@id/tv_name_title" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_name"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_54"
                    android:layout_marginStart="@dimen/dp_40"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="请输入姓名"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_bcbcbc"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_name_title"
                    app:layout_constraintTop_toBottomOf="@id/view_line1" />

                <View
                    android:id="@+id/view_line2"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="@color/color_ebebeb"
                    app:layout_constraintTop_toBottomOf="@id/et_name" />

                <TextView
                    android:id="@+id/tv_phone_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="您的电话"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/et_phone"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/et_phone" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="*"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintStart_toEndOf="@id/tv_phone_title"
                    app:layout_constraintTop_toTopOf="@id/tv_phone_title" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_phone"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_54"
                    android:layout_marginStart="@dimen/dp_40"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="请输入电话"
                    android:inputType="number"
                    android:maxLength="11"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_bcbcbc"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_phone_title"
                    app:layout_constraintTop_toBottomOf="@id/view_line2" />

                <View
                    android:id="@+id/view_line3"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="@color/color_ebebeb"
                    app:layout_constraintTop_toBottomOf="@id/et_phone" />

                <TextView
                    android:id="@+id/tv_code_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="短信验证"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@id/et_code"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/et_code" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_2"
                    android:text="*"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintStart_toEndOf="@id/tv_code_title"
                    app:layout_constraintTop_toTopOf="@id/tv_code_title" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/et_code"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_54"
                    android:layout_marginStart="@dimen/dp_40"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="请输入验证码"
                    android:inputType="number"
                    android:maxLength="6"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:textColor="@color/color_1a1a1a"
                    android:textColorHint="@color/color_bcbcbc"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_code_title"
                    app:layout_constraintTop_toBottomOf="@id/view_line3" />

                <TextView
                    android:id="@+id/tv_send_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="获取验证码"
                    android:textColor="@color/color_4a53d5"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBottom_toBottomOf="@id/et_code"
                    app:layout_constraintEnd_toEndOf="@id/et_code"
                    app:layout_constraintTop_toTopOf="@id/et_code" />

                <View
                    android:id="@+id/view_line4"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_1"
                    android:background="@color/color_ebebeb"
                    app:layout_constraintTop_toBottomOf="@id/et_code" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/btn_next"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_marginStart="@dimen/dp_18"
                    android:layout_marginTop="@dimen/dp_30"
                    android:layout_marginEnd="@dimen/dp_18"
                    android:layout_marginBottom="@dimen/dp_35"
                    android:src="@mipmap/ic_qyzc_btn"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintDimensionRatio="h,787:166"
                    app:layout_constraintTop_toBottomOf="@id/view_line4" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />
</androidx.constraintlayout.widget.ConstraintLayout>